Bug 1158080 - Review Request: php-guzzlehttp-ringphp - Simple handler system used to power clients and servers in PHP
Summary: Review Request: php-guzzlehttp-ringphp - Simple handler system used to power ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1131103 1158040
Blocks: 1140134
TreeView+ depends on / blocked
 
Reported: 2014-10-28 14:02 UTC by Shawn Iwinski
Modified: 2015-06-01 02:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-01 02:57:06 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
review.txt (6.44 KB, text/plain)
2015-01-07 13:13 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2014-10-28 14:02:41 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/c46a18bf0e66cf5807c9e8ebef73d2d2d9be38a5/php-guzzlehttp-ringphp.spec

SRPM URL: https://siwinski.fedorapeople.org/copr/php-experimental/php-guzzlehttp-ringphp-1.0.1-1.fc20.src.rpm

Description:
Provides low level APIs used to power HTTP clients and servers through a simple,
PHP callable that accepts a request hash and returns a future response hash.
RingPHP supports both synchronous and asynchronous workflows by utilizing both
futures and promises [1].

RingPHP is inspired by Clojure's Ring [2], but has been modified to accommodate
clients and servers for both blocking and non-blocking requests.

[1] https://github.com/reactphp/promise
[2] https://github.com/ring-clojure/ring


Fedora Account System Username: siwinski


COPR builds:
* http://copr.fedoraproject.org/coprs/siwinski/php-experimental/build/55327/
* http://copr.fedoraproject.org/coprs/siwinski/php-experimental/build/55330/ (fedora-21-x86_64 rebuild; same srpm)

Comment 3 Remi Collet 2015-01-07 13:13:25 UTC
Created attachment 977280 [details]
review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14

Comment 4 Remi Collet 2015-01-07 13:14:28 UTC
No blocker

NOTICE: wait for bug #1131103 to be fixed before importing in the repo


=== APPROVED ===

Comment 5 Shawn Iwinski 2015-01-07 13:20:49 UTC
THANKS!



New Package SCM Request
=======================
Package Name: php-guzzlehttp-ringphp
Short Description: Simple handler system used to power clients and servers in PHP
Upstream URL: http://ringphp.readthedocs.org
Owners: siwinski
Branches: f20 f21 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2015-01-07 13:52:03 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.